# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSJiniExtractor Class Reference

`#include <WOKBuilder_MSJiniExtractor.hxx>`

Inheritance diagram for WOKBuilder_MSJiniExtractor:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_MSJiniExtractor (const Handle(TCollection_HAsciiString)&ashared, const Handle(TColStd_HSequenceOfHAsciiString)&searchlist)
Standard_EXPORT | WOKBuilder_MSJiniExtractor (const WOKUtils_Param &params)
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_MS_HSequenceOfMemberMet | MemberMethods () const
Standard_EXPORT Handle_MS_HSequenceOfExternMet | ExternMethods () const
Standard_EXPORT const WOKTools_MapOfHAsciiString & | CompleteTypes () const
Standard_EXPORT const WOKTools_MapOfHAsciiString & | IncompleteTypes () const
Standard_EXPORT const WOKTools_MapOfHAsciiString & | SemiCompleteTypes () const
virtual Standard_EXPORT WOKBuilder_MSActionType | ExtractorID () const
virtual Standard_EXPORT WOKBuilder_MSActionStatus | ExtractionStatus (const Handle(WOKBuilder_MSAction)&anaction)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKTools_MapOfHAsciiString | mycompl
WOKTools_MapOfHAsciiString | myicompl
WOKTools_MapOfHAsciiString | myscompl
Handle_MS_HSequenceOfMemberMet | mymmeth
Handle_MS_HSequenceOfExternMet | myxmeth

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSJiniExtractor::WOKBuilder_MSJiniExtractor | ( | const Handle(TCollection_HAsciiString)& | ashared,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | searchlist
| ) |

Standard_EXPORT WOKBuilder_MSJiniExtractor::WOKBuilder_MSJiniExtractor | ( | const WOKUtils_Param & | params | ) |

## Member Function Documentation

Standard_EXPORT const WOKTools_MapOfHAsciiString& WOKBuilder_MSJiniExtractor::CompleteTypes | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfExternMet WOKBuilder_MSJiniExtractor::ExternMethods | ( |  | ) | const

virtual Standard_EXPORT WOKBuilder_MSActionStatus WOKBuilder_MSJiniExtractor::ExtractionStatus | ( | const Handle(WOKBuilder_MSAction)& | anaction | ) | `[virtual]`

| Reimplemented from WOKBuilder_MSHeaderExtractor.

virtual Standard_EXPORT WOKBuilder_MSActionType WOKBuilder_MSJiniExtractor::ExtractorID | ( |  | ) | const`[virtual]`

| Reimplemented from WOKBuilder_MSHeaderExtractor.

Standard_EXPORT const WOKBuilder_MSJiniExtractor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_MSHeaderExtractor.

Standard_EXPORT const WOKTools_MapOfHAsciiString& WOKBuilder_MSJiniExtractor::IncompleteTypes | ( |  | ) | const

Standard_EXPORT void WOKBuilder_MSJiniExtractor::Init | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT Handle_MS_HSequenceOfMemberMet WOKBuilder_MSJiniExtractor::MemberMethods | ( |  | ) | const

Standard_EXPORT const WOKTools_MapOfHAsciiString& WOKBuilder_MSJiniExtractor::SemiCompleteTypes | ( |  | ) | const

## Field Documentation

WOKTools_MapOfHAsciiString WOKBuilder_MSJiniExtractor::mycompl `[private]`

WOKTools_MapOfHAsciiString WOKBuilder_MSJiniExtractor::myicompl `[private]`

Handle_MS_HSequenceOfMemberMet WOKBuilder_MSJiniExtractor::mymmeth `[private]`

WOKTools_MapOfHAsciiString WOKBuilder_MSJiniExtractor::myscompl `[private]`

Handle_MS_HSequenceOfExternMet WOKBuilder_MSJiniExtractor::myxmeth `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_MSJiniExtractor.hxx